# OpalMediaOption Class Reference

`#include <mediafmt.h>`

Inheritance diagram for OpalMediaOption:

[legend]
Collaboration diagram for OpalMediaOption:
[legend]

## Public Types

| NoMerge
| MinMerge
| MaxMerge
| EqualMerge
| NotEqualMerge
| AlwaysMerge
| CustomMerge
| IntersectionMerge
| AndMerge = MinMerge
| OrMerge = MaxMerge
enum | MergeType { NoMerge, MinMerge, MaxMerge, EqualMerge, NotEqualMerge, AlwaysMerge, CustomMerge, IntersectionMerge, AndMerge = MinMerge, OrMerge = MaxMerge }

## Public Member Functions

virtual Comparison | Compare (const PObject &obj) const
virtual bool | Merge (const OpalMediaOption &option)
virtual bool | ValidateMerge (const OpalMediaOption &option) const
virtual Comparison | CompareValue (const OpalMediaOption &option) const =0
virtual void | Assign (const OpalMediaOption &option)=0
PString | AsString () const
bool | FromString (const PString &value)
const PString & | GetName () const
bool | IsReadOnly () const
void | SetReadOnly (bool readOnly)
MergeType | GetMerge () const
void | SetMerge (MergeType merge)
const PString & | GetFMTPName () const
void | SetFMTPName (const char *name)
const PString & | GetFMTPDefault () const
void | SetFMTPDefault (const char *value)
void | SetFMTP (const char *name, const char *dflt)
const H245GenericInfo & | GetH245Generic () const
void | SetH245Generic (const H245GenericInfo &genericInfo)

## Protected Member Functions

| OpalMediaOption (const PString &name)
| OpalMediaOption (const char *name, bool readOnly, MergeType merge)

## Protected Attributes

PCaselessString | m_name
bool | m_readOnly
MergeType | m_merge
PCaselessString | m_FMTPName
PString | m_FMTPDefault
H245GenericInfo | m_H245Generic

## Data Structures

struct | H245GenericInfo

## Detailed Description

Base class for options attached to an OpalMediaFormat.

## Member Enumeration Documentation

enum OpalMediaOption::MergeType

Enumerator:

  NoMerge |
  MinMerge |
  MaxMerge |
  EqualMerge |
  NotEqualMerge |
  AlwaysMerge |
  CustomMerge |
  IntersectionMerge |
  AndMerge |
  OrMerge |

## Constructor & Destructor Documentation

OpalMediaOption::OpalMediaOption | ( | const PString & | name | ) | `[protected]`

OpalMediaOption::OpalMediaOption | ( | const char * | name,
|  | bool | readOnly,
|  | MergeType | merge |
| ) |  |  | `[protected]`

## Member Function Documentation

virtual void OpalMediaOption::Assign | ( | const OpalMediaOption & | option | ) | `[pure virtual]`

Implemented in OpalMediaOptionValue< T >, OpalMediaOptionEnum, OpalMediaOptionString, and OpalMediaOptionOctets.

PString OpalMediaOption::AsString | ( |  | ) | const

virtual Comparison OpalMediaOption::Compare | ( | const PObject & | obj | ) | const`[virtual]`

virtual Comparison OpalMediaOption::CompareValue | ( | const OpalMediaOption & | option | ) | const`[pure virtual]`

Implemented in OpalMediaOptionValue< T >, OpalMediaOptionEnum, OpalMediaOptionString, and OpalMediaOptionOctets.

bool OpalMediaOption::FromString | ( | const PString & | value | ) |

const PString& OpalMediaOption::GetFMTPDefault | ( |  | ) | const`[inline]`

const PString& OpalMediaOption::GetFMTPName | ( |  | ) | const`[inline]`

const H245GenericInfo& OpalMediaOption::GetH245Generic | ( |  | ) | const`[inline]`

MergeType OpalMediaOption::GetMerge | ( |  | ) | const`[inline]`

const PString& OpalMediaOption::GetName | ( |  | ) | const`[inline]`

bool OpalMediaOption::IsReadOnly | ( |  | ) | const`[inline]`

virtual bool OpalMediaOption::Merge | ( | const OpalMediaOption & | option | ) | `[virtual]`

Reimplemented in OpalMediaOptionValue< T >, and OpalMediaOptionString.

void OpalMediaOption::SetFMTP | ( | const char * | name,
|  | const char * | dflt |
| ) |  |  | `[inline]`

void OpalMediaOption::SetFMTPDefault | ( | const char * | value | ) | `[inline]`

void OpalMediaOption::SetFMTPName | ( | const char * | name | ) | `[inline]`

void OpalMediaOption::SetH245Generic | ( | const H245GenericInfo & | genericInfo | ) | `[inline]`

void OpalMediaOption::SetMerge | ( | MergeType | merge | ) | `[inline]`

void OpalMediaOption::SetReadOnly | ( | bool | readOnly | ) | `[inline]`

virtual bool OpalMediaOption::ValidateMerge | ( | const OpalMediaOption & | option | ) | const`[virtual]`

## Field Documentation

PString OpalMediaOption::m_FMTPDefault `[protected]`

PCaselessString OpalMediaOption::m_FMTPName `[protected]`

H245GenericInfo OpalMediaOption::m_H245Generic `[protected]`

MergeType OpalMediaOption::m_merge `[protected]`

PCaselessString OpalMediaOption::m_name `[protected]`

bool OpalMediaOption::m_readOnly `[protected]`

The documentation for this class was generated from the following file:

- mediafmt.h